Subject: Re: [PATCH] ASoC: fsl_ssi: separately enable and disable TIE/RIE in trigger()

From: Nicolin Chen <[email-masked]>
Date: Tue, 29 Oct 2013 20:13:31 +0800

On Tue, Oct 29, 2013 at 07:18:21AM -0500, Timur Tabi wrote:
> Nicolin Chen wrote:
> >Well, actually I just wanted to clear T/RDMAE to disable DMA request,
> >but it seems to be much easier to do it like this based on current
> >code and disabling unused interrupts should be better right?:)
> 
> It's not better if it complicates the code and has no real impact.
> The code has been running fine for years the way it is.  Unless you
> can show me that it actually makes a difference, I will have to NACK
> this patch.
>

The DMA request might be remaining high if not disabling it. This would
cause SDMA re-check this request, while it has no BD existing. For the
other interrupts, if you don't like it, I can drop it. Just modification
to the driver might not be less complicated.

Thank you,
Nicolin Chen